/**
 * Copyright (c) 2018 Toby All rights reserved.
 *
 * https://www.scjydz.com
 *
 * 版权所有，侵权必究！
 */

package com.wjp.modules.demo.service;

import com.wjp.common.page.PageData;
import com.wjp.common.service.BaseService;
import com.wjp.modules.demo.dto.NewsDTO;
import com.wjp.modules.demo.entity.NewsEntity;

import java.util.Map;

/**
 * 新闻
 *
 * @author Toby javatangbin@163.com
 */
public interface NewsService extends BaseService<NewsEntity> {

    PageData<NewsDTO> page(Map<String, Object> params);

    NewsDTO get(Long id);

    void save(NewsDTO dto);

    void update(NewsDTO dto);
}
