/**
 * Copyright (c) 2020 Toby All rights reserved.
 * <p>
 * https://www.scjydz.com
 * <p>
 * 版权所有，侵权必究！
 */

package com.wjp.modules.devtools.service;

import com.wjp.modules.devtools.config.DataSourceInfo;
import com.wjp.modules.devtools.entity.MenuEntity;
import com.wjp.modules.devtools.entity.TableFieldEntity;
import com.wjp.modules.devtools.entity.TableInfoEntity;

import java.util.List;

/**
 * 代码生成
 *
 * @author Toby javatangbin@163.com
 */
public interface GeneratorService {

    DataSourceInfo getDataSourceInfo(Long datasourceId);

    void datasourceTable(TableInfoEntity tableInfo);

    void updateTableField(Long tableId, List<TableFieldEntity> tableFieldList);

    void generatorCode(TableInfoEntity tableInfo);

    void generatorMenu(MenuEntity menu);
}