/**
 * Copyright (c) 2020 Toby All rights reserved.
 * <p>
 * https://www.scjydz.com
 * <p>
 * 版权所有，侵权必究！
 */

package com.wjp.modules.devtools.service;


import com.wjp.common.page.PageData;
import com.wjp.common.service.BaseService;
import com.wjp.modules.devtools.entity.TableInfoEntity;

import java.util.Map;

/**
 * 表
 *
 * @author Toby javatangbin@163.com
 */
public interface TableInfoService extends BaseService<TableInfoEntity> {

    PageData<TableInfoEntity> page(Map<String, Object> params);

    TableInfoEntity getByTableName(String tableName);

    void deleteByTableName(String tableName);

    void deleteBatchIds(Long[] ids);
}