/**
 * Copyright (c) 2019 Toby All rights reserved.
 *
 * https://www.scjydz.com
 *
 * 版权所有，侵权必究！
 */
package com.wjp.modules.notice.service;

import com.wjp.common.page.PageData;
import com.wjp.common.service.CrudService;
import com.wjp.modules.notice.dto.SysNoticeDTO;
import com.wjp.modules.notice.entity.SysNoticeEntity;

import java.util.Map;

/**
 * 通知管理
 *
 * @author Toby javatangbin@163.com
 */
public interface SysNoticeService extends CrudService<SysNoticeEntity, SysNoticeDTO> {

    /**
     * 获取被通知的用户
     */
    PageData<SysNoticeDTO> getNoticeUserPage(Map<String, Object> params);

    /**
     * 获取我的通知列表
     */
    PageData<SysNoticeDTO> getMyNoticePage(Map<String, Object> params);
}