/**
 * Copyright (c) 2020 Toby All rights reserved.
 * <p>
 * https://www.scjydz.com
 * <p>
 * 版权所有，侵权必究！
 */

package com.wjp.modules.devtools.service;


import com.wjp.common.service.BaseService;
import com.wjp.modules.devtools.entity.TableFieldEntity;

import java.util.List;

/**
 * 列
 *
 * @author Toby javatangbin@163.com
 */
public interface TableFieldService extends BaseService<TableFieldEntity> {

    List<TableFieldEntity> getByTableName(String tableName);

    void deleteByTableName(String tableName);

    void deleteBatchTableIds(Long[] tableIds);
}