/**
 * Copyright (c) 2021 Toby All rights reserved.
 *
 * https://www.scjydz.com
 *
 * 版权所有，侵权必究！
 */

package com.wjp.modules.pay.service;

import com.wjp.common.service.CrudService;
import com.wjp.modules.pay.dto.OrderDTO;
import com.wjp.modules.pay.entity.OrderEntity;

/**
 * 订单
 *
 * @author Toby javatangbin@163.com
 */
public interface OrderService extends CrudService<OrderEntity, OrderDTO> {


    OrderEntity getByOrderId(Long orderId);

    /**
     * 支付成功
     * @param order 订单
     */
    void paySuccess(OrderEntity order);
}