/**
 * Copyright (c) 2021 Toby All rights reserved.
 * <p>
 * https://www.scjydz.com
 * <p>
 * 版权所有，侵权必究！
 */
package com.wjp.modules.sys.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.wjp.common.utils.DateUtils;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 在线用户
 *
 * @author Toby javatangbin@163.com
 */
@Data
public class SysOnlineEntity implements Serializable {
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 用户名
     */
    private String username;
    /**
     * 姓名
     */
    private String realName;
    /**
     * 登录时间
     */
    @JsonFormat(pattern = DateUtils.DATE_TIME_PATTERN)
    private Date loginDate;
    /**
     * 超时时间
     */
    @JsonFormat(pattern = DateUtils.DATE_TIME_PATTERN)
    private Date ExpireDate;
}