/**
 * Copyright (c) 2018 Toby All rights reserved.
 *
 * https://www.scjydz.com
 *
 * 版权所有，侵权必究！
 */

package com.wjp.service;

import com.wjp.common.service.BaseService;
import com.wjp.entity.UserEntity;
import com.wjp.dto.LoginDTO;

import java.util.Map;

/**
 * 用户
 * 
 * @author Toby javatangbin@163.com
 */
public interface UserService extends BaseService<UserEntity> {

	UserEntity getByMobile(String mobile);

	UserEntity getUserByUserId(Long userId);

	/**
	 * 用户登录
	 * @param dto    登录表单
	 * @return        返回登录信息
	 */
	Map<String, Object> login(LoginDTO dto);
}