/**
 * Copyright (c) 2018 Toby All rights reserved.
 * <p>
 * https://www.scjydz.com
 * <p>
 * 版权所有，侵权必究！
 */

package com.wjp.modules.flow.dto;


import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.Data;


/**
 * flowable请求模型
 *
 * @author Toby javatangbin@163.com
 */
@Data
@Tag(name = "flowable请求模型")
public class ModelRequestDTO {

    @Schema(description = "id")
    private String id;

    @Schema(description = "流程key")
    private String key;

    @Schema(description = "流程名称")
    private String name;

    @Schema(description = "BPMN XML")
    private String bpmnXml;

    @Schema(description = "表单ID")
    private String formId;

    @Schema(description = "表单名称")
    private String formName;
}